package cz.muni.fi.pa165.microservice4.electricityprices;

import jakarta.annotation.PostConstruct;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.UUID;
import java.util.concurrent.CopyOnWriteArrayList;

@Service
public class ElectricityPriceServiceImpl implements ElectricityPriceService {
    //to be stored in database in the future
    private final List<StoredElectricityPrice> list = new CopyOnWriteArrayList<>();
    @PostConstruct
    public void init() {
        list.add(new StoredElectricityPrice("1", "1", 300.0, 200.0));
    }
    @Override
    public void setElectricityPrice(String companyId,
                                    double priceHighTariff,
                                    double priceLowTariff) {
                list.add(new StoredElectricityPrice(UUID.randomUUID().toString(), companyId, priceHighTariff, priceLowTariff));

    }
    /*
    public void setElectricityPrice(ElectricityPriceRegistrationRequest electricityPriceRegistrationRequest) {
        ElectricityPrice electricityPrice = ElectricityPrice
                    .builder()
                    .id(electricityPriceRegistrationRequest.companyId())
                    .priceHighTariff(electricityPriceRegistrationRequest.priceHighTariff())
                    .priceLowTariff(electricityPriceRegistrationRequest.priceLowTariff())
                    .build();
    }*/

    @Override
    public double getElectricityPrice(String companyId) {
        return 0;
    }

    @Override
    public List<StoredElectricityPrice> getAllElectricityPrice() {
        return list;
    }

}
