package cz.muni.fi.pa165.core.device;

import cz.muni.fi.pa165.core.common.DomainObject;
import cz.muni.fi.pa165.core.smartmeter.SmartMeter;
import jakarta.persistence.Entity;
import jakarta.persistence.OneToMany;
import jakarta.persistence.Table;
import lombok.*;

import java.util.List;

@Getter
@Setter
@Entity
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "domain_device")
public class Device extends DomainObject {

    private String name;

    @OneToMany
    private List<SmartMeter> smartMeterList;
    // Manufacturer
    // private Manufacturer manufacturer;

    // Company ??
    // private Company company;
}
