package cz.muni.fi.pa165.core.device;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

import java.util.Optional;

@Repository
public interface DeviceRepository extends JpaRepository<Device, String> {
    @Modifying
    @Query("UPDATE Device d set d.name= :#{#device.name} where d.id = :#{#device.id}")
    Optional<Device> update(@Param("device") Device device);
}


