package cz.muni.fi.pa165.microservice4.electricityprices;

import jakarta.servlet.http.HttpServletRequest;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping(value = "/api/v1/electricity", produces = MediaType.APPLICATION_JSON_VALUE)
public class ElectricityPriceController {
    private final ElectricityPriceService electricityPriceService;
    @Autowired
    public ElectricityPriceController(ElectricityPriceService electricityPriceService) {
        this.electricityPriceService = electricityPriceService;
    }

    @GetMapping(path = "/electricityprices")
    public List<ElectricityPriceDTO> getAllElectricityPrice() {
        return electricityPriceService.getAllElectricityPrice().stream().map(ElectricityPriceDTO::toElectricityPriceDTO).toList();
    }
    @PostMapping(path = "/electricityprices")
    public void setElectricityPrice(@RequestBody ElectricityPriceSetRequest req) {
        //TODO
    }
}
