package cz.muni.fi.pa165.microservice4.electricityprices;

//DTO
public record ElectricityPriceDTO(String id, String companyId, double priceHighTariff, double priceLowTariff) {
public static ElectricityPriceDTO toElectricityPriceDTO(StoredElectricityPrice storedElectricityPrice) {
    return new ElectricityPriceDTO(storedElectricityPrice.id(),
            storedElectricityPrice.companyId(),
            storedElectricityPrice.priceHighTariff(),
            storedElectricityPrice.priceLowTariff());
}
}
